Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.beans
Class AuditTypeList

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.core.beans.AuditTypeList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieAuditTypeList

    public class AuditTypeList

extends TieSystemObject

A AuditTypeList represents a set of Audit Operation types.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `CREATEDATE_ATTRIBUTE` The date and time (in GMT) when this object was created.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The description of this AuditTypeList.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of this AuditTypeList.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `AuditTypeList(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs an AuditTypeList object.

Method Summary
`static AuditTypeList` | `createAuditTypeList(LibrarySession session, AuditTypeListDefinition def)` Create a new AuditTypeList.
`static AuditTypeList` | `find(LibrarySession session, java.lang.String name)` Finds a AuditTypeList instance by name, or null if no AuditTypeList with the given name could be found.
`AuditTypeEntryValue[]` | `getAuditTypeEntries()` Gets the set of AuditTypeEntries for this list, converted to an array of AuditTypeEntryValue.
`java.util.Hashtable` | `getAuditTypeEntryTable()` Gets a resolved view of this AuditTypeList's set of AuditTypeEntries.
`java.util.Date` | `getCreateDate()` Returns the date this object was created.
`java.lang.String` | `getDescription()` Returns description of this object.
`AuditTypeEntryValue[]` | `getExpandedAuditTypeEntries(java.lang.String className)` Gets the set of AuditTypeEntries for this list, converted to an array of AuditTypeEntryValue, and expanded to include placeholder entries applicable to the specified class.
`AuditTypeEntryValue[]` | `getExpandedAuditTypeEntries(java.lang.String className, int successMode, boolean includeNested)` Gets the set of AuditTypeEntries for this list, converted to an array of AuditTypeEntryValue, and expanded to include placeholder entries applicable to the specified class.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`static boolean` | `isOperationTypeIncluded(java.util.Hashtable ht, int opType, boolean opSucceeded)` Returns indication as to whether an operation type should be included according to this AuditTypeList's set of AuditTypeEntries.
`boolean` | `isOperationTypeIncluded(int opType, boolean opSucceeded)` Returns indication as to whether an operation type should be included according to this AuditTypeList's set of AuditTypeEntries.
`protected void` | `preCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the creation of a PublicObject.
`protected boolean` | `trustHandleCreate()` Indicate whether low-level create should be trusted, and run with access checks disabled.
`protected boolean` | `trustHandleCreateAsAdmin()` Indicate whether low-level create should be trusted, and run with access checks disabled and in admin mode.
`protected boolean` | `trustHandleUpdate()` Indicate whether low-level update should be trusted, and run with access checks disabled.
`protected boolean` | `trustHandleUpdateAsAdmin()` Indicate whether low-level update should be trusted in admin mode, and run with access checks disabled.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleFree, trustHandleFreeAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `AuditTypeList`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `AuditTypeList`
  The name of this AuditTypeList. (String[700])

  See Also:
    Constant Field Values

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `AuditTypeList`
  The description of this AuditTypeList. (String[2000])

  See Also:
    Constant Field Values

### CREATEDATE_ATTRIBUTE

    public static final java.lang.String CREATEDATE_ATTRIBUTE

  Description copied from class: `AuditTypeList`
  The date and time (in GMT) when this object was created.

  See Also:
    Constant Field Values

Constructor Detail

### AuditTypeList

    protected AuditTypeList(LibrarySession session,
                            java.lang.Long id,
                            java.lang.Long classId,
                            S_LibraryObjectData data)
                     throws IfsException

  Constructs an AuditTypeList object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `LibraryObject`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `AuditTypeList`
  Returns description of this object.

  Returns:
    the object description
  Throws:
    `IfsException` - if operation fails
  (Published)

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws IfsException

  Description copied from class: `AuditTypeList`
  Returns the date this object was created.

  Returns:
    Date of creation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isOperationTypeIncluded

    public boolean isOperationTypeIncluded(int opType,
                                           boolean opSucceeded)
                                    throws IfsException

  Description copied from class: `AuditTypeList`
  Returns indication as to whether an operation type should be included according to this AuditTypeList's set of AuditTypeEntries.

  Parameters:
    `opType` - the operation type of interest
    `opSucceeded` - whether the operation of interest succeeded
  Returns:
    true if the type (and its associated success code) is represented by this AuditTypeList; false otherwise
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAuditTypeEntryTable

    public java.util.Hashtable getAuditTypeEntryTable()
                                               throws IfsException

  Description copied from class: `AuditTypeList`
  Gets a resolved view of this AuditTypeList's set of AuditTypeEntries.

  The Hashtable returned is keyed by operation type (the Integer), and has a value of an AuditTypeEntryValue.

  Returns:
    table that represents the AuditTypeList
  Throws:
    `IfsException` - if operation fails.
  (Published)

### isOperationTypeIncluded

    public static boolean isOperationTypeIncluded(java.util.Hashtable ht,
                                                  int opType,
                                                  boolean opSucceeded)

  Description copied from class: `AuditTypeList`
  Returns indication as to whether an operation type should be included according to this AuditTypeList's set of AuditTypeEntries.

  The Hashtable is keyed by operation type (the Integer), and has a value of an AuditTypeEntryValue.

  Parameters:
    `ht` - Hashtable of types to check for
    `opType` - the operation type of interest
    `opSucceeded` - whether the operation of interest succeeded
  Returns:
    true if the type (and its associated success code) is represented by the Hashtable; false otherwise
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAuditTypeEntries

    public AuditTypeEntryValue[] getAuditTypeEntries()
                                              throws IfsException

  Description copied from class: `AuditTypeList`
  Gets the set of AuditTypeEntries for this list, converted to an array of AuditTypeEntryValue.

  The values returned will be sorted by the String operation type key.

  Returns:
    the set of AuditTypeEntryValues that represents the AuditTypeList
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getExpandedAuditTypeEntries

    public AuditTypeEntryValue[] getExpandedAuditTypeEntries(java.lang.String className)
                                                      throws IfsException

  Description copied from class: `AuditTypeList`
  Gets the set of AuditTypeEntries for this list, converted to an array of AuditTypeEntryValue, and expanded to include placeholder entries applicable to the specified class.

  The values returned will be sorted by the String operation type key. For each type that is applicable to the specified class that is not already repsented by the target AuditTypeList itself, a value will be returned with a operation success mode value set to `LibraryConstants.AUDIT_SUCCESS_MODE_NONE`.

  Parameters:
    `className` - the class name for which to include placeholders
  Returns:
    the set of AuditTypeEntryValues that represents the AuditTypeList, expanded to include placeholders for operation types that applicable to the specified class
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getExpandedAuditTypeEntries

    public AuditTypeEntryValue[] getExpandedAuditTypeEntries(java.lang.String className,
                                                             int successMode,
                                                             boolean includeNested)
                                                      throws IfsException

  Description copied from class: `AuditTypeList`
  Gets the set of AuditTypeEntries for this list, converted to an array of AuditTypeEntryValue, and expanded to include placeholder entries applicable to the specified class.

  The values returned will be sorted by the String operation type key. For each type that is applicable to the specified class that is not already repsented by the target AuditTypeList itself, a value will be returned with a operation success mode value set to `LibraryConstants.AUDIT_SUCCESS_MODE_NONE`.

  Parameters:
    `className` - the class name for which to include placeholders
    `successMode` - the success mode to use for each AuditTypeEntryValue
    `includeNested` - whether or not to include operations for classes that are descendents of the specified class
  Returns:
    the set of AuditTypeEntryValues that represents the AuditTypeList, expanded to include placeholders for operation types that applicable to the specified class
  Throws:
    `IfsException` - if operation fails.
  (Published)

### createAuditTypeList

    public static AuditTypeList createAuditTypeList(LibrarySession session,
                                                    AuditTypeListDefinition def)
                                             throws IfsException

  Description copied from class: `AuditTypeList`
  Create a new AuditTypeList.

  Parameters:
    `def` - the definition of the new AuditTypeList
  Returns:
    the AuditTypeList that was created
  Throws:
    `IfsException` - 92204: if the operation fails
  (Unpublished)

### preCreate

    protected void preCreate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SystemObject`
  Extensibility point to perform actions prior to the creation of a PublicObject.

  Set an option that indicates that Categories are NOT to be created from within S_SystemObject.

  Overrides:
    `preCreate` in class `SystemObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails

### trustHandleCreate

    protected boolean trustHandleCreate()

  Description copied from class: `LibraryObject`
  Indicate whether low-level create should be trusted, and run with access checks disabled.

  Overrides:
    `trustHandleCreate` in class `LibraryObject`
  Returns:
    true if handleCreate should be performed without access checks; false otherwise

### trustHandleCreateAsAdmin

    protected boolean trustHandleCreateAsAdmin()

  Description copied from class: `LibraryObject`
  Indicate whether low-level create should be trusted, and run with access checks disabled and in admin mode.

  Overrides:
    `trustHandleCreateAsAdmin` in class `LibraryObject`
  Returns:
    true if handleCreate should be performed without access checks and in admin mode; false otherwise

### trustHandleUpdate

    protected boolean trustHandleUpdate()

  Description copied from class: `LibraryObject`
  Indicate whether low-level update should be trusted, and run with access checks disabled.

  Overrides:
    `trustHandleUpdate` in class `LibraryObject`
  Returns:
    true if handleUpdate should be performed without access checks; false otherwise

### trustHandleUpdateAsAdmin

    protected boolean trustHandleUpdateAsAdmin()

  Description copied from class: `LibraryObject`
  Indicate whether low-level update should be trusted in admin mode, and run with access checks disabled.

  Overrides:
    `trustHandleUpdateAsAdmin` in class `LibraryObject`
  Returns:
    true if handleUpdate should be performed without access checks and in admin mode; false otherwise

### find

    public static AuditTypeList find(LibrarySession session,
                                     java.lang.String name)
                              throws IfsException

  Description copied from class: `AuditTypeList`
  Finds a AuditTypeList instance by name, or null if no AuditTypeList with the given name could be found.

  Note: the name must be an exact, case-sensitive match.

  Parameters:
    `session` - the current session
    `name` - the name of the AuditTypeList instance to return
  Returns:
    the AuditTypeList instance with the given name, or null if it does't exist.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD